package Other;

import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import java.util.*;
import java.sql.SQLException;
import com.aspose.cells.*;
import com.aspose.cells.Chart;

public class AddingPictures extends HttpServlet  {

  private static final String TEMPLATE_Image_PATH_PART= "/Images/school.JPG";

  public void doGet(HttpServletRequest request, HttpServletResponse response)
throws IOException, ServletException
{
OutputStream out = response.getOutputStream();
try
{
  ServletContext sc = getServletContext();
  String template_image_path = sc.getRealPath(TEMPLATE_Image_PATH_PART);

   setResponseHeader(response, "AddingPictures.xls");
   CreateStaticReport(out, template_image_path);
}
catch (Exception ex)
{
   ex.printStackTrace();

   // say sorry
   response.setContentType("text/html");
   PrintWriter writer = new PrintWriter(out);

   writer.println("<html>");
   writer.println("<head>");
   writer.println("<title>sorry</title>");
   writer.println("</head>");
   writer.println("<body>");
   writer.println("<h1>Sorry, the demo programme failed for some reason.</h1>");
   ex.printStackTrace(writer);
   writer.println("</body>");
   writer.println("</html>");
   writer.close();
}
}

public void doPost(HttpServletRequest request, HttpServletResponse response)
    throws IOException, ServletException
{
 doGet(request, response);
}

private void setResponseHeader(HttpServletResponse response, String resultXLS)
{
response.setContentType("application/vnd.ms-excel");
response.addHeader("content-disposition", "inline;  filename=" + resultXLS);
}

private void CreateStaticReport(OutputStream out, String template_image_path) throws IOException
{
Workbook workbook = new Workbook();

Worksheets worksheets = workbook.getWorksheets();
Worksheet worksheet = worksheets.getSheet(0);

  //Insert a picture into a cell
  int pictureIndex = worksheet.getPictures().add(1, 1, template_image_path);
  Picture picture = worksheet.getPictures().get(pictureIndex);

  //Insert a picture into a cell using a stream
  FileInputStream fis = new FileInputStream(template_image_path);
  fis.read();
  byte[] data = new byte[fis.available()];
  fis.read(data);

//Saving the Excel file
workbook.save(out);
}

}
